samza-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Roger Hoover <roger.hoo...@gmail.com>
Subject Re: [Discuss/Vote] upgrade to Yarn 2.6.0
Date Tue, 25 Aug 2015 01:32:40 GMT
Jordan,

Thanks for sharing that.

Roger

On Mon, Aug 24, 2015 at 10:17 AM, Jordan Shaw <jordan@pubnub.com> wrote:

> Roger,
> We upgraded from yarn 2.4 to 2.6 a while ago and been running it in prod
> with no issues. It was basically a drop in if I remember right.
>
> Jordan
>
> > On Aug 20, 2015, at 1:48 PM, Yi Pan <nickpan47@gmail.com> wrote:
> >
> > Hi, Selina,
> >
> > Samza 0.9.1 on YARN 2.6 is the proved working solution.
> >
> > Best,
> >
> > -Yi
> >
> >> On Thu, Aug 20, 2015 at 12:28 PM, Selina Tech <swucareer99@gmail.com>
> wrote:
> >>
> >> Hi, Yi:
> >>     If I use Samza0.9.1 and Yarn2.6.0, Will the system be failed?
> >>
> >> Sincerely,
> >> Selina
> >>
> >>> On Wed, Aug 19, 2015 at 1:58 PM, Yi Pan <nickpan47@gmail.com> wrote:
> >>>
> >>> Hi, Roger,
> >>>
> >>> In LinkedIn we have already moved to YARN 2.6 and is moving to YARN 2.7
> >>> now. I am not aware of any major issues in upgrading. I will let our
> team
> >>> member Jon Bringhurst to chime in since he did all the upgrade and may
> >> have
> >>> more insights.
> >>>
> >>> @Jon, could you help to comment on this?
> >>>
> >>> Thanks!
> >>>
> >>> -Yi
> >>>
> >>> On Wed, Aug 19, 2015 at 9:12 AM, Roger Hoover <roger.hoover@gmail.com>
> >>> wrote:
> >>>
> >>>> We're using 2.4.0 in production.  Are there any major
> incompatibilities
> >>> to
> >>>> watch out for when upgrading to 2.6.0?
> >>>>
> >>>> Thanks,
> >>>>
> >>>> Roger
> >>>>
> >>>> On Mon, Aug 17, 2015 at 4:41 PM, Yan Fang <yanfang724@gmail.com>
> >> wrote:
> >>>>
> >>>>> Hi guys,
> >>>>>
> >>>>> we have been discussing upgrading to Yarn 2.6.0 (SAMZA-536
> >>>>> <https://issues.apache.org/jira/browse/SAMZA-536>), because
there
> >> are
> >>>> some
> >>>>> bug fixes after 2.4.0 and we can not enable the Yarn RM recovering
> >>>> feature
> >>>>> in Yarn 2.4.0 (SAMZA-750 <
> >>>> https://issues.apache.org/jira/browse/SAMZA-750
> >>>>>> )
> >>>>> .
> >>>>>
> >>>>> So we just want to make sure if any production users are still using
> >>> Yarn
> >>>>> 2.4.0 and do not plan to upgrade to 2.6.0+?
> >>>>>
> >>>>> If not further concern, I think we can go and upgrade to Yarn 2.6.0
> >> in
> >>>>> Samza 0.10.0 release.
> >>>>>
> >>>>> Thanks,
> >>>>>
> >>>>> Fang, Yan
> >>>>> yanfang724@gmail.com
> >>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message